-------------------------------------------------------------------------------------
-- Title: Mik's Scrolling Battle Text Options
-- Author: Mik
-------------------------------------------------------------------------------------

-- Create Options "namespace."
MikSBTOpt = {};


------------------------------
-- Interface messages
------------------------------

MikSBTOpt.MSG_INHERIT_TEXT					= "Inherit";
MikSBTOpt.MSG_NORMAL_PREVIEW_TEXT				= "Normal";
MikSBTOpt.MSG_CRIT_PREVIEW_TEXT				= "Crit";
MikSBTOpt.MSG_CURRENT_PROFILE_TEXT				= "Current Profile";
MikSBTOpt.MSG_SCROLL_AREA_PREVIEW_TEXT			= "Preview Message";

MikSBTOpt.MSG_EVENT_MESSAGE_LABEL_TOOLTIP			= "Click here to edit what output message will be displayed when the event occurs.\n\nAny event codes will be substituted with actual data."
MikSBTOpt.MSG_EVENT_MESSAGE_EDITBOX_TOOLTIP_PREFIX	= "Available Event Codes:\n\n";
MikSBTOpt.MSG_EVENT_COLOR_SWATCH_TOOLTIP			= "Allows you to pick the display color for the event.";
MikSBTOpt.MSG_EVENT_EDIT_FONT_SETTINGS_BUTTON_LABEL	= "Edit Font Settings";
MikSBTOpt.MSG_EVENT_EDIT_FONT_SETTINGS_BUTTON_TOOLTIP	= "Edits the event's font settings.  These settings are inherited from the scroll area if they are set to inherit.";
MikSBTOpt.MSG_EVENT_STICKY_CHECKBOX_TOOLTIP		= "Sets whether or not to display this event using the sticky style."


------------------------------
-- Interface objects info
------------------------------

MikSBTOpt.TABS = {
 [1] = { Label="General", Tooltip="Display general options."},
 [2] = { Label="Incoming", Tooltip="Display options for the incoming scroll area."},
 [3] = { Label="Outgoing", Tooltip="Display options for the outgoing scroll area."},
 [4] = { Label="Notification", Tooltip="Display options for the notification scroll area."},
};

MikSBTOpt.DROPDOWNS = {
 [1] = { Label="Profile", Tooltip="Selects the current profile."},
 [2] = { Label="Incoming Text Align", Tooltip="The alignment of the text for the incoming scroll area."},
 [3] = { Label="Incoming Animation Style", Tooltip="The animation style for the incoming scroll area."},
 [4] = { Label="Incoming Scroll Direction", Tooltip="The scroll direction for the incoming scroll area."},
 [5] = { Label="Outgoing Text Align", Tooltip="The alignment of the text for the outgoing scroll area."},
 [6] = { Label="Outgoing Animation Style", Tooltip="The animation style for the outgoing scroll area."},
 [7] = { Label="Outgoing Scroll Direction", Tooltip="The scroll direction for the outgoing scroll area."},
 [8] = { Label="Notification Text Align", Tooltip="The alignment of the text for the notification scroll area."},
 [9] = { Label="Notification Animation Style", Tooltip="The animation style for the notification scroll area."},
 [10] = { Label="Notification Scroll Direction", Tooltip="The scroll direction for the notification scroll area."},
 [11] = { Label="Normal Font"},
 [12] = { Label="Normal Font Outline"},
 [13] = { Label="Crit Font"},
 [14] = { Label="Crit Font Outline"}, 
};

MikSBTOpt.CHECKBOXES = {
 [1] = { Label="Disable Mik's Scrolling Battle Text", Tooltip="Sets whether or not MSBT is disabled."},
 [2] = { Label="Show Partial Effects", Tooltip="Sets whether or not to show partial resists, absorbs, blocks, etc."},
 [3] = { Label="Display Crits Sticky", Tooltip="Sets whether or not to display crits using the sticky style."},
 [4] = { Label="Show Overheals", Tooltip="Sets whether or not to display overhealing information."},
 [5] = { Label="Show Game Damage", Tooltip="Sets whether or not to display the game's damage above the enemy's heads."},
 [6] = { Label="Show Incoming Events", Tooltip="Sets whether or not to show incoming events."},
 [7] = { Label="Show Outgoing Events", Tooltip="Sets whether or not to show outgoing events."},
 [8] = { Label="Show Notification Events", Tooltip="Sets whether or not to show notification events."},
 [9] = { Label="Inherit Font Size"},
 [10] = { Label="Inherit Crit Font Size"},
 [11] = { },	-- Incoming Event 1 Show Placeholder
 [12] = { },	-- Incoming Event 2 Show Placeholder
 [13] = { },	-- Incoming Event 3 Show Placeholder
 [14] = { },	-- Incoming Event 4 Show Placeholder
 [15] = { },	-- Incoming Event 5 Show Placeholder
 [16] = { },	-- Incoming Event 6 Show Placeholder
 [17] = { },	-- Incoming Event 7 Show Placeholder
 [18] = { },	-- Incoming Event 8 Show Placeholder
 [19] = { },	-- Outgoing Event 1 Show Placeholder
 [20] = { },	-- Outgoing Event 2 Show Placeholder
 [21] = { },	-- Outgoing Event 3 Show Placeholder
 [22] = { },	-- Outgoing Event 4 Show Placeholder
 [23] = { },	-- Outgoing Event 5 Show Placeholder
 [24] = { },	-- Outgoing Event 6 Show Placeholder
 [25] = { },	-- Outgoing Event 7 Show Placeholder
 [26] = { },	-- Outgoing Event 8 Show Placeholder
 [27] = { },	-- Notification Event 1 Show Placeholder
 [28] = { },	-- Notification Event 2 Show Placeholder
 [29] = { },	-- Notification Event 3 Show Placeholder
 [30] = { },	-- Notification Event 4 Show Placeholder
 [31] = { },	-- Notification Event 5 Show Placeholder
 [32] = { },	-- Notification Event 6 Show Placeholder
 [33] = { },	-- Notification Event 7 Show Placeholder
 [34] = { },	-- Notification Event 8 Show Placeholder
 [35] = { },	-- Notification Event 1 Sticky Placeholder
 [36] = { },	-- Notification Event 2 Sticky Placeholder
 [37] = { },	-- Notification Event 3 Sticky Placeholder
 [38] = { },	-- Notification Event 4 Sticky Placeholder
 [39] = { },	-- Notification Event 5 Sticky Placeholder
 [40] = { },	-- Notification Event 6 Sticky Placeholder
 [41] = { },	-- Notification Event 7 Sticky Placeholder
 [42] = { },	-- Notification Event 8 Sticky Placeholder
};

MikSBTOpt.SLIDERS = {
 [1] = { Label="Incoming Scroll Height", Tooltip="The height of the incoming scroll area."}, 
 [2] = { Label="Outgoing Scroll Height", Tooltip="The height of the outgoing scroll area."},
 [3] = { Label="Notification Scroll Height", Tooltip="The height of the notification scroll area."},
 [4] = { Label="Animation Speed", Tooltip="Sets the speed of the animation."},
 [5] = { Label="Font Size"},
 [6] = { Label="Font Crit Size"},

};

MikSBTOpt.BUTTONS = {
 [1] = { Label="Edit Master Font Settings", Tooltip="Edits the master font settings.  These settings will be inherited by each scroll area and the events therein unless they are overridden."},
 [2] = { Label=MikSBTOpt.MSG_EVENT_EDIT_FONT_SETTINGS_BUTTON_LABEL, Tooltip="Edits the incoming scroll area font settings.  These settings will be inherited by each event in the incoming scroll area unless they are overridden."},
 [3] = { Label=MikSBTOpt.MSG_EVENT_EDIT_FONT_SETTINGS_BUTTON_LABEL, Tooltip="Edits the outgoing scroll area font settings.  These settings will be inherited by each event in the outgoing scroll area unless they are overridden."},
 [4] = { Label=MikSBTOpt.MSG_EVENT_EDIT_FONT_SETTINGS_BUTTON_LABEL, Tooltip="Edits the notification scroll area font settings.  These settings will be inherited by each event in the notification scroll area unless they are overridden."},
 [5] = { Label="Load Profile", Tooltip="Loads the selected profile."},
 [6] = { Label="Delete Profile", Tooltip="Deletes the selected profile."},
 [7] = { Label="Reset Profile", Tooltip="Resets the selected profile to the default settings."},
 [8] = { Label="Create Profile", Tooltip="Creates a new profile with the default settings."},
 [9] = { Label="Move Scroll Area", Tooltip="Allows you to drag the incoming scroll area to a new location."},
 [10] = { Label="Move Scroll Area", Tooltip="Allows you to drag the outgoing scroll area to a new location."},
 [11] = { Label="Move Scroll Area", Tooltip="Allows you to drag the notification scroll area to a new location."},
 [12] = { Label="Preview", Tooltip="Previews a test message."},
 [13] = { Label="Save Location", Tooltip="Saves the new location for the scroll area."},
 [14] = { Label="Cancel", Tooltip="Cancels the changes."},
 [15] = { },	-- Incoming Event 1 Placeholder
 [16] = { },	-- Incoming Event 2 Placeholder
 [17] = { },	-- Incoming Event 3 Placeholder
 [18] = { },	-- Incoming Event 4 Placeholder
 [19] = { },	-- Incoming Event 5 Placeholder
 [20] = { },	-- Incoming Event 6 Placeholder
 [21] = { },	-- Incoming Event 7 Placeholder
 [22] = { },	-- Incoming Event 8 Placeholder
 [23] = { },	-- Outgoing Event 1 Placeholder
 [24] = { },	-- Outgoing Event 2 Placeholder
 [25] = { },	-- Outgoing Event 3 Placeholder
 [26] = { },	-- Outgoing Event 4 Placeholder
 [27] = { },	-- Outgoing Event 5 Placeholder
 [28] = { },	-- Outgoing Event 6 Placeholder
 [29] = { },	-- Outgoing Event 7 Placeholder
 [30] = { },	-- Outgoing Event 8 Placeholder
 [31] = { },	-- Notification Event 1 Placeholder
 [32] = { },	-- Notification Event 2 Placeholder
 [33] = { },	-- Notification Event 3 Placeholder
 [34] = { },	-- Notification Event 4 Placeholder
 [35] = { },	-- Notification Event 5 Placeholder
 [36] = { },	-- Notification Event 6 Placeholder
 [37] = { },	-- Notification Event 7 Placeholder
 [38] = { },	-- Notification Event 8 Placeholder
};

MikSBTOpt.EDITBOXES = {
 [1] = { Label="New Profile Name", Tooltip="Allows you to enter the name of a new profile."},
 [2] = { },		-- Event Message Placeholder
};

MikSBTOpt.FRAMES = {
 [1]  = { Tooltip="Indicates the anchor column for the incoming scroll area.  Drag this frame to the location you want."},
 [2]  = { Tooltip="Indicates the anchor column for the outgoing scroll area.  Drag this frame to the location you want."},
 [3]  = { Tooltip="Indicates the anchor column for the notification scroll area.  Drag this frame to the location you want."},
}

MikSBTOpt.COLORSWATCHES = {
 [1] = { },		-- Incoming Event 1 Placeholder
 [2] = { },		-- Incoming Event 2 Placeholder
 [3] = { },		-- Incoming Event 3 Placeholder
 [4] = { },		-- Incoming Event 4 Placeholder
 [5] = { },		-- Incoming Event 5 Placeholder
 [6] = { },		-- Incoming Event 6 Placeholder
 [7] = { },		-- Incoming Event 7 Placeholder
 [8] = { },		-- Incoming Event 8 Placeholder
 [9] = { },		-- Outgoing Event 1 Placeholder
 [10] = { },	-- Outgoing Event 2 Placeholder
 [11] = { },	-- Outgoing Event 3 Placeholder
 [12] = { },	-- Outgoing Event 4 Placeholder
 [13] = { },	-- Outgoing Event 5 Placeholder
 [14] = { },	-- Outgoing Event 6 Placeholder
 [15] = { },	-- Outgoing Event 7 Placeholder
 [16] = { },	-- Outgoing Event 8 Placeholder
 [17] = { },	-- Notification Event 1 Placeholder
 [18] = { },	-- Notification Event 2 Placeholder
 [19] = { },	-- Notification Event 3 Placeholder
 [20] = { },	-- Notification Event 4 Placeholder
 [21] = { },	-- Notification Event 5 Placeholder
 [22] = { },	-- Notification Event 6 Placeholder
 [23] = { },	-- Notification Event 7 Placeholder
 [24] = { },	-- Notification Event 8 Placeholder
}

MikSBTOpt.FONT_SETTINGS_TOOLTIPS = {
 ["Master"] = {
  FontSettingsTitle="Master",
  Font="Set the master font for non-crits.  This will be inherited by each scroll area and its events.",
  FontCrit="Set the master font for crits.  This will be inherited by each scroll area and its events.",
  Outline="Set the master font outline for non-crits.  This will be inherited by each scroll area and its events.",
  OutlineCrit="Set the master font outline for crits.  This will be inherited by each scroll area and its events.",
  FontSize="Set the master font size for non-crits.  This will be inherited by each scroll area and its events.",
  FontSizeCrit="Set the master font size for crits.  This will be inherited by each scroll area and its events.",
 },
 ["ScrollArea"] = {
  Font="Set the scroll area font for non-crits.  This will be inherited by each event in the scroll area.",
  FontCrit="Set the scroll area font for crits.  This will be inherited by each event in the scroll area.",
  Outline="Set the scroll area font outline for non-crits.  This will be inherited by each event in the scroll area.",
  OutlineCrit="Set the scroll area font outline for crits.  This will be inherited by each event in the scroll area.",
  InheritFontSize="Set whether or not to inherit the font size for non-crits from the master font settings.",
  InheritFontSizeCrit="Set whether or not to inherit the font size for crits from the master font settings.",
  FontSize="Set the scroll area font size for non-crits.  This will be inherited by each event in the scroll area.",
  FontSizeCrit="Set the scroll area font size for crits.  This will be inherited by each event in the scroll area.",
 },
 ["Event"] = {
  Font="Set the event font for non-crits.",
  FontCrit="Set the event font for crits.",
  Outline="Set the event font outline for non-crits.",
  OutlineCrit="Set the event font outline for crits.",
  InheritFontSize="Set whether or not to inherit the font size for non-crits from the scroll area font settings.",
  InheritFontSizeCrit="Set whether or not to inherit the font size for crits from the scroll area font settings.",
  FontSize="Set the event font size for non-crits.",
  FontSizeCrit="Set the event font size for crits.",
 }
}

MikSBTOpt.INCOMING_EVENTS = {
 [1]	= { Label="Melee Damage", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee damage.", Editbox="%a - Amount of damage taken.\n%n - Name of the attacker."}},
 [2]	= { Label="Melee Misses", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee misses.", Editbox="%n - Name of the attacker."}},
 [3]	= { Label="Melee Dodges", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee dodges.", Editbox="%n - Name of the attacker."}},
 [4]	= { Label="Melee Parries", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee parries.", Editbox="%n - Name of the attacker."}},
 [5]	= { Label="Melee Blocks", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee blocks.", Editbox="%n - Name of the attacker."}},
 [6]	= { Label="Melee Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show absorbed incoming melee damage.", Editbox="%n - Name of the attacker."}},
 [7]	= { Label="Melee Immunes", Tooltips={ShowCheckbox="Sets whether or not to show incoming melee damage you are immune to.", Editbox="%n - Name of the attacker."}},
 [8]	= { Label="Ability/Spell Damage", Tooltips={ShowCheckbox="Sets whether or not to show incoming spell and ability damage.", Editbox="%a - Amount of damage taken.\n%n - Name of the attacker.\n%s - Name of the spell or ability.\n%t - Type of damage taken."}},
 [9]	= { Label="Ability/Spell DoTs", Tooltips={ShowCheckbox="Sets whether or not to show incoming spell and ability damage over time.", Editbox="%a - Amount of damage taken.\n%n - Name of the attacker.\n%s - Name of the spell or ability.\n%t - Type of damage taken."}},
 [10]	= { Label="Ability Misses", Tooltips={ShowCheckbox="Sets whether or not to show incoming ability misses.", Editbox="%n - Name of the attacker.\n%s - Name of the ability."}},
 [11]	= { Label="Ability Dodges", Tooltips={ShowCheckbox="Sets whether or not to show incoming ability dodges.", Editbox="%n - Name of the attacker.\n%s - Name of the ability."}},
 [12]	= { Label="Ability Parries", Tooltips={ShowCheckbox="Sets whether or not to show incoming ability parries.", Editbox="%n - Name of the attacker.\n%s - Name of the ability."}},
 [13]	= { Label="Ability Blocks", Tooltips={ShowCheckbox="Sets whether or not to show incoming ability blocks.", Editbox="%n - Name of the attacker.\n%s - Name of the ability."}},
 [14] = { Label="Spell Resists", Tooltips={ShowCheckbox="Sets whether or not to show incoming spell resists.", Editbox="%n - Name of the attacker.\n%s - Name of the spell."}},
 [15] = { Label="Ability/Spell Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show absorbed damage from incoming spells and abilities.", Editbox="%n - Name of the attacker.\n%s - Name of the spell or ability."}},
 [16] = { Label="Ability/Spell Immunes", Tooltips={ShowCheckbox="Sets whether or not to show incoming spell and ability damage you are immune to.", Editbox="%n - Name of the attacker.\n%s - Name of the spell or ability."}},
 [17] = { Label="Ability/Spell Reflects", Tooltips={ShowCheckbox="Sets whether or not to show incoming spell and ability damage you reflected.", Editbox="%n - Name of the attacker.\n%s - Name of the spell or ability."}},
 [18] = { Label="Heals", Tooltips={ShowCheckbox="Sets whether or not to show incoming heals.", Editbox="%a - Amount of healing taken.\n%n - Name of the healer.\n%s - Name of the spell."}},
 [19] = { Label="Heals Over Time", Tooltips={ShowCheckbox="Sets whether or not to show incoming heals over time.", Editbox="%a - Amount of healing taken.\n%n - Name of the healer.\n%s - Name of the spell."}},
 [20] = { Label="Environmental Damage", Tooltips={ShowCheckbox="Sets whether or not to show environmental (falling, drowning, lava, etc...) damage.", Editbox="%a - Amount of damage taken.\n%s - Name of the source of the damage (falling, drowning, lava, etc...)"}},
};

MikSBTOpt.OUTGOING_EVENTS = {
 [1]	= { Label="Melee Damage", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee damage.", Editbox="%a - Amount of damage done.\n%n - Name of the attacked unit."}},
 [2]	= { Label="Melee Misses", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee misses.", Editbox="%n - Name of the attacked unit."}},
 [3]	= { Label="Melee Dodges", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee dodges.", Editbox="%n - Name of the attacked unit."}},
 [4]	= { Label="Melee Parries", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee parries.", Editbox="%n - Name of the attacked unit."}},
 [5]	= { Label="Melee Blocks", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee blocks.", Editbox="%n - Name of the attacked unit."}},
 [6]	= { Label="Melee Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show absorbed outgoing melee damage.", Editbox="%n - Name of the attacked unit."}},
 [7]	= { Label="Melee Immunes", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee damage the enemy is immune to.", Editbox="%n - Name of the attacked unit."}},
 [8]	= { Label="Melee Evades", Tooltips={ShowCheckbox="Sets whether or not to show outgoing melee evades.", Editbox="%n - Name of the attacked unit."}},
 [9]	= { Label="Ability/Spell Damage", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell and ability damage.", Editbox="%a - Amount of damage done.\n%n - Name of the attacked unit.\n%s - Name of the spell or ability.\n%t - Type of damage done."}},
 [10]	= { Label="Ability/Spell DoTs", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell and ability damage over time.", Editbox="%a - Amount of damage done.\n%n - Name of the attacked unit.\n%s - Name of the spell or ability.\n%t - Type of damage done."}},
 [11]	= { Label="Ability Misses", Tooltips={ShowCheckbox="Sets whether or not to show outgoing ability misses.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [12]	= { Label="Ability Dodges", Tooltips={ShowCheckbox="Sets whether or not to show outgoing ability dodges.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [13]	= { Label="Ability Parries", Tooltips={ShowCheckbox="Sets whether or not to show outgoing ability parries.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [14]	= { Label="Ability Blocks", Tooltips={ShowCheckbox="Sets whether or not to show outgoing ability blocks.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [15] = { Label="Spell Resists", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell resists.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell."}},
 [16] = { Label="Ability/Spell Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show absorbed damage from outgoing spells and abilities.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [17] = { Label="Ability/Spell Immunes", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell and ability damage the enemy is immune to.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [18] = { Label="Ability/Spell Reflects", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell and ability damage reflected back to you.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [19] = { Label="Ability/Spell Evades", Tooltips={ShowCheckbox="Sets whether or not to show outgoing spell and ability evades.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [20] = { Label="Heals", Tooltips={ShowCheckbox="Sets whether or not to show outgoing heals.", Editbox="%a - Amount of healing done.\n%n - Name of the healed unit.\n%s - Name of the spell."}},
 [21] = { Label="Heals Over Time", Tooltips={ShowCheckbox="Sets whether or not to show outgoing heals over time.", Editbox="%a - Amount of healing done.\n%n - Name of the healed unit.\n%s - Name of the spell."}},
 [22] = { Label="Pet Melee Damage", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee damage.", Editbox="%a - Amount of damage done.\n%n - Name of the attacked unit."}},
 [23]	= { Label="Pet Melee Misses", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee misses.", Editbox="%n - Name of the attacked unit."}},
 [24]	= { Label="Pet Melee Dodges", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee dodges.", Editbox="%n - Name of the attacked unit."}},
 [25]	= { Label="Pet Melee Parries", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee parries.", Editbox="%n - Name of the attacked unit."}},
 [26]	= { Label="Pet Melee Blocks", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee blocks.", Editbox="%n - Name of the attacked unit."}},
 [27]	= { Label="Pet Melee Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show your pet's absorbed outgoing melee damage.", Editbox="%n - Name of the attacked unit."}},
 [28]	= { Label="Pet Melee Immunes", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee damage the enemy is immune to.", Editbox="%n - Name of the attacked unit."}},
 [29]	= { Label="Pet Melee Evades", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing melee evades.", Editbox="%n - Name of the attacked unit."}},
 [30]	= { Label="Pet Ability/Spell Damage", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing spell and ability damage.", Editbox="%a - Amount of damage done.\n%n - Name of the attacked unit.\n%s - Name of the spell or ability.\n%t - Type of damage done."}},
 [31]	= { Label="Pet Ability Misses", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing ability misses.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [32]	= { Label="Pet Ability Dodges", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing ability dodges.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [33]	= { Label="Pet Ability Parries", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing ability parries.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [34]	= { Label="Pet Ability Blocks", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing ability blocks.", Editbox="%n - Name of the attacked unit.\n%s - Name of the ability."}},
 [35] = { Label="Pet Spell Resists", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing spell resists.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell."}},
 [36] = { Label="Pet Ability/Spell Absorbs", Tooltips={ShowCheckbox="Sets whether or not to show your pet's absorbed damage from outgoing spells and abilities.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [37] = { Label="Pet Ability/Spell Immunes", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing spell and ability damage the enemy is immune to.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
 [38] = { Label="Pet Ability/Spell Evades", Tooltips={ShowCheckbox="Sets whether or not to show your pet's outgoing spell and ability evades.", Editbox="%n - Name of the attacked unit.\n%s - Name of the spell or ability."}},
};

MikSBTOpt.NOTIFICATION_EVENTS = {
 [1]	= { Label="Debuffs", Tooltips={ShowCheckbox="Sets whether or not to show debuffs you are afflicted by.", Editbox="%s - Name of the debuff."}},
 [2]	= { Label="Buffs", Tooltips={ShowCheckbox="Sets whether or not to show buffs you receive.", Editbox="%s - Name of the buff."}},
 [3]	= { Label="Item Buffs", Tooltips={ShowCheckbox="Sets whether or not to show buffs your items receive.", Editbox="%s - Name of the item buff."}},
 [4]	= { Label="Buff Fades", Tooltips={ShowCheckbox="Sets whether or not to show buffs and debuffs that have faded from you.", Editbox="%s - Name of the buff/debuff."}},
 [5]	= { Label="Enter Combat", Tooltips={ShowCheckbox="Sets whether or not to show when you have entered combat.", Editbox="None."}},
 [6]	= { Label="Leave Combat", Tooltips={ShowCheckbox="Sets whether or not to show when you have left combat.", Editbox="None."}},
 [7]	= { Label="Power Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain extra mana, rage, or energy.", Editbox="%a - Amount of energy gained.\n%s - Type of power gained (energy, rage, mana)."}},
 [8]	= { Label="Power Losses", Tooltips={ShowCheckbox="Sets whether or not to show when you lose mana, rage, or energy from drains.", Editbox="%a - Amount of energy lost.\n%s - Type of power lost (energy, rage, mana)."}},
 [9]	= { Label="Combo Point Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain combo points.", Editbox="%a - Amount of combo points you have."}},
 [10]	= { Label="Combo Points Full", Tooltips={ShowCheckbox="Sets whether or not to show when you attain full combo points.", Editbox="%a - Amount of combo points you have."}},
 [11]	= { Label="Honor Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain honor.", Editbox="%a - Amount of honor you gained."}},
 [12]	= { Label="Reputation Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain reputation.", Editbox="%a - Amount of reputation you gained.\n%s - Name of the faction."}},
 [13]	= { Label="Reputation Losses", Tooltips={ShowCheckbox="Sets whether or not to show when you lose reputation.", Editbox="%a - Amount of reputation you lost.\n%s - Name of the faction."}},
 [14]	= { Label="Skill Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain skill points.", Editbox="%a - Amount of points you have in the skill.\n%s - Name of the skill."}},
 [15]	= { Label="Experience Gains", Tooltips={ShowCheckbox="Sets whether or not to show when you gain experience points.", Editbox="%a - Amount of experience you gained."}},
 [16]	= { Label="Low Health", Tooltips={ShowCheckbox="Sets whether or not to show when you have low health.", Editbox="%a - Amount of health you have."}},
 [17]	= { Label="Low Mana", Tooltips={ShowCheckbox="Sets whether or not to show when you have low mana.", Editbox="%a - Amount of mana you have."}},
 [18]	= { Label="Execute", Tooltips={ShowCheckbox="Sets whether or not to show when your enemy crosses the execute / hammer of wrath threshold.", Editbox="%s - Name of the unit ready for execution."}},
};